Subject: Re: Linville's L2 rant... -- Re: PATCH Fix bonding active-backup behavior for VLAN interfaces

From: "John W. Linville" <[email-masked]>
Date: Tue, 1 Aug 2006 12:52:23 -0400

On Tue, Aug 01, 2006 at 09:10:06AM -0700, Ben Greear wrote:
> Jamal Hadi Salim wrote:

> >Agreed. I have some very strong opinions on this subject that i could
> >share with you if you want. For example, IMO, I think it would be a lot
> >reasonable to assume that a VLAN or VLANS are attributes of a netdevice
> >(just like IP addresses or MAC addresses are). 
> 
> As might be expected, I feel that VLANs are much more
> useful as full-featured net devices.  I do not believe it is worth
> decreasing functionality to try to 'clean up' the code.

In general, I agree that we shouldn't lose functionality.

I'm curious as to what particularly functionality you fear would be
lost if VLANs were not implemented the way they are now?

Thanks,

John
-- 
John W. Linville
[email-masked]